Package org.eclipse.cdt.utils.envvar

# Interface StorableEnvironmentLoader.ISerializeInfo

Enclosing class:
  StorableEnvironmentLoader

public static interface StorableEnvironmentLoader.ISerializeInfo
this interface represents the preference node and the preference name that are used for holding the environment data

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`org.osgi.service.prefs.Preferences`
`getNode()`
`IEclipsePreferences` root node in the Preference store
`String`
`getPrefName()`
Name in the preference store

## Method Details

### getNode

org.osgi.service.prefs.Preferences getNode()
`IEclipsePreferences` root node in the Preference store

Returns:
  the Preferences Node into which environment should be (de) serialized

### getPrefName

String getPrefName()
Name in the preference store

Returns:
  the key in the preference node to use for loading preferences